<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-Blueprints",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-blueprints"
  },
  "title" : "Get Blueprints"
}
-->

# Get Blueprints

Get a list of Blueprints in an organization.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/blueprints" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
{
  "data": [
    {
      "type": "blueprints",
      "id": "blueprint-12345",
      "attributes": {
        "name": "Engineering Onboarding",
        "description": "Standard apps for engineering team",
        "status": "ACTIVE",
        "appLicenseDeficient": false,
        "createdDateTime": "2024-01-15T10:30:00Z",
        "updatedDateTime": "2024-06-01T14:22:00Z"
      },
      "relationships": {
        "apps": {
          "links": {
            "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/apps",
            "related": "https://api-business.apple.com/v1/blueprints/blueprint-12345/apps"
          }
        },
        "users": {
          "links": {
            "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/users",
            "related": "https://api-business.apple.com/v1/blueprints/blueprint-12345/users"
          }
        }
        "packages": {
          "links": {
            "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/packages",
            "related": "https://api-business.apple.com/v1/blueprints/blueprint-12345/packages"
          }
        },
        "userGroups": {
          "links": {
            "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/userGroups",
            "related": "https://api-business.apple.com/v1/blueprints/blueprint-12345/userGroups"
          }
        },
        "orgDevices": {
          "links": {
            "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/orgDevices",
            "related": "https://api-business.apple.com/v1/blueprints/blueprint-12345/orgDevices"
          }
        },
        "configurations": {
          "links": {
            "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345/relationships/configurations",
            "related": "https://api-business.apple.com/v1/blueprints/blueprint-12345/configurations"
          }
        }
      },
      "links": {
        "self": "https://api-business.apple.com/v1/blueprints/blueprint-12345"
      }
    }
  ],
  "links": {
    "self": "https://api-business.apple.com/v1/blueprints",
    "next": "https://api-business.apple.com/v1/blueprints?cursor=MDowOjE3NDYxMTM4OTI1OTA"
  },
  "meta": {
    "paging": {
      "nextCursor": "MDowOjE3NDYxMTM4OTI1OTA",
      "limit": 1
    }
  }
}
```

## Topics

### Responses

[`object BlueprintsResponse`](/documentation/AppleBusinessAPI/BlueprintsResponse)

A response that contains a list of Blueprint resources.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)